if($('form[name="form_autorization"]').length>0) {
	$(document).keydown(function(){
		if($('#message').length>0) return;
		if($('form[name="worker_walk_form"]').length>0) {
			$('form[name="worker_walk_form"] input[name="barcode"]').focus();
			return;
		}

		if($('.autorization_input_pass').is(':visible')) {
			$('.autorization_input_pass .input_pass').focus();
			return;
		}

		if($('.popup').is(':visible')) return;
		
		$('input[name="user_pass"]').focus();
	});

	$('.autorization_input_pass .input_pass').keydown(function(e) {
		if($('#message').length>0) return;
		if(e.which==13) {
			submit_form_autorization();
		}
	});
}

$('body').off('click', '.user_autorization');
$('body').on('click', '.user_autorization', function() {
	$('form[name="form_autorization"] .user_pass').val('');
	$('form[name="form_autorization"] input[name="user_id"]').val($(this).attr('data-id'));
	if($(this).attr('data-pass')==0) {
		$('form[name="form_autorization"]').submit();
	}
	else {
		$('.autorization_input_pass').show();
	}
});

$('body').off('click', '.autorization_input_pass_close');
$('body').on('click', '.autorization_input_pass_close', function() {
	$('.autorization_input_pass .input_pass').val('');
	$('form[name="form_autorization"] input[name="user_id"]').val('');
	$('form[name="form_autorization"] .user_pass').val('');
	$('.autorization_input_pass').hide();
});

function submit_form_autorization() {
	$('form[name="form_autorization"] .user_pass').val($('.autorization_input_pass .input_pass').val());
	$('form[name="form_autorization"]').submit();
}

$('body').off('click', '.autorization_input_pass_ok');
$('body').on('click', '.autorization_input_pass_ok', function() {
	submit_form_autorization();
});

